.contact {
  background: linear-gradient(to right, #25131a, #162028);
  padding: 40px 20px;
}
@media screen and (max-width: 479px) {
  .contact {
    padding: 20px 10px;
  }
}
@media screen and (max-width: 479px) {
  .contact__container {
    padding-left: 5px;
    padding-right: 5px;
  }
}
.contact__title {
  text-align: center;
  margin-bottom: 15px;
}

.contact__discription {
  margin-bottom: 30px;
  text-align: center;
}

.contact__wrapper {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
}

@media screen and (min-width: 768px) {
  .contact__wrapper {
    flex-wrap: nowrap;
    justify-content: space-between;
  }
}

.contact__form {
  flex: 1 1 100%;
  font-size: 12px;
  line-height: 1.8;
  min-width: 280px;
}

@media screen and (min-width: 768px) {
  .contact__form {
    flex: 1 1 48%;
    max-width: 48%;
  }
}

@media screen and (min-width: 1200px) {
  .contact__form {
    flex: 1 1 50%;
    max-width: 585px;
  }
}

.user {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
  margin-bottom: 20px;
  width: 100%;
}

@media screen and (min-width: 1200px) {
  .user {
    flex-wrap: nowrap;
  }
}

.user__label {
  width: 100%;
  display: flex;
  flex-direction: column;
  position: relative;
}

.user__input {
  flex: 1;
  min-width: 120px;
  border: 1px solid var(--border-cl);
  border-radius: 8px;
  padding: 8px;
  background-color: var(--bg-table-cl);
  color: var(--default-txt-cl);
  transition: all 300ms ease;
}

.user__input:hover,
.user__input:focus {
  border-color: var(--accent-txt-cl);
}

.feedback {
  display: flex;
  flex-direction: column;
  gap: 10px;
  margin-bottom: 15px;
}

.feedback__area {
  padding: 8px;
  background-color: var(--bg-table-cl);
  border: 1px solid var(--border-cl);
  border-radius: 8px;
  min-height: 80px;
  color: inherit;
  transition: all 300ms ease;
  resize: vertical;
}

.feedback__area:hover,
.feedback__area:focus {
  border-color: var(--accent-txt-cl);
}

.contact__btn {
  font-weight: 700;
  font-size: 14px;
  line-height: calc(24 / 14);
  min-width: 115px;
  padding: 8px 16px;
  border-radius: 6px;
  cursor: pointer;
}

.map {
  flex: 1 1 100%;
  border: 1px solid var(--border-cl);
  border-radius: 8px;
  background-color: var(--bg-table-cl);
  padding: 15px;
  min-width: 280px;
}

@media screen and (min-width: 768px) {
  .map {
    flex: 1 1 48%;
    max-width: 48%;
  }
}

@media screen and (min-width: 1200px) {
  .map {
    flex: 1 1 50%;
    max-width: 585px;
  }
}

.map__title {
  color: var(--txt-cl-white);
  margin-bottom: 15px;
}

.map__widget iframe {
  border-radius: 8px;
  width: 100%;
  height: 250px;
}
